EnumerationIterator (Velocity 1.7 API)
Keywords: org.apache.velocity.util.EnumerationIterator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.util
Class EnumerationIterator

    java.lang.Object
      org.apache.velocity.util.EnumerationIterator

All Implemented Interfaces:
  Iterator

public class EnumerationIterator
extends Object
implements Iterator

An Iterator wrapper for an Enumeration.

Version:
  $Id: EnumerationIterator.java 463298 2006-10-12 16:10:32Z henning $
Author:
  Geir Magnusson Jr.

Constructor Summary
`EnumerationIterator(Enumeration enumeration)` Creates a new iteratorwrapper instance for the specified Enumeration.

Method Summary
`boolean` | `hasNext()` Check to see if there is another element in the array.
`Object` | `next()` Move to next element in the array.
`void` | `remove()` Unimplemented.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnumerationIterator

    public EnumerationIterator(Enumeration enumeration)

  Creates a new iteratorwrapper instance for the specified Enumeration.

Parameters:
  `enumeration` - The Enumeration to wrap.

Method Detail

### next

    public Object next()

  Move to next element in the array.

  Specified by:
    `next` in interface `Iterator`
  Returns:
    The next object in the array.

### hasNext

    public boolean hasNext()

  Check to see if there is another element in the array.

  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    Whether there is another element.

### remove

    public void remove()

  Unimplemented. No analogy in Enumeration

  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.